{% extends "general/base2.html"%}

{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}
<!-- {% load crispy_forms_tags%}  -->
{% load widget_tweaks%} 


{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
   <div class="row align-items-center py-3">
      <div class="col-lg-8 col-xl-9 text-center text-lg-left">
         <h5 class="mb-3"><strong>CONTROL - AGREGAR UNIDAD</strong></h5>
      </div>   
</div>
    {% if mensaje%}
        <div class="alert alert-{{tipo}}" role="alert">
            {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                    {{ message }}
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            {{mensaje}}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
      </div>
    {% endif %}

   <div class="row mt-0">
      <div class="col-sm-12 pr-4">
         <!--Striped table-->
         <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">
            <h6 class="mb-2">  </h6>

            <div class="col-lg-12" >
                        
                <div class="pb-3 mb-3 ">
                    <form action='/unidad/guardar' enctype="multipart/form-data" method="POST" id="personForm" data-cities-url="{% url 'general:ajaxmun' %}">
                        {% csrf_token %}
                            <h5 class="font-weight-700 section-title-4 text-left pb-2">
                                Datos Unidad
                                <div class="title-divider-round"></div>
                            </h5>
                            <div class="form-row">

                                <div class="col-md-5 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">{{ form.nombre.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa fa-i-cursor"></i></span>
                                            </div>
                                            {% render_field form.nombre  attr='required' class="form-control form-control-lg" id="nombre" name="nombre" placeholder="Nombre de la unidad" %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.nombre.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2">
                                        <label class="text-uppercase">{{ form.tel_fijo.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-mobile-alt"></i></span>
                                            </div>
                                            {% render_field form.tel_fijo class="form-control form-control-lg" id="tel_fijo" name="tel_fijo" placeholder="2226-6200" %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.tel_fijo.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-2">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2">
                                        <label class="text-uppercase">{{ form.extension.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-mobile-alt"></i></span>
                                            </div>
                                            {% render_field form.extension class="form-control form-control-lg"  id="extension"  name="extension" placeholder="2226-6200" %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.extension.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-5 align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.correo.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-envelope-open-text"></i></span>
                                            </div>
                                            {% render_field form.correo class="form-control form-control-lg" id="correo" name="correo" placeholder="ejemplo@se.gob.edu" %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.correo.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-3 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">{{ form.abreviatura.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fa fa-circle"></i></span>
                                            </div>
                                            {% render_field form.abreviatura class="form-control form-control-lg" id="abreviatura" name="abreviatura" placeholder="Abreviatura" %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.abreviatura.errors}}</span>
                                    </div>
                                </div>
                                <div class="col-md-3 align-items-center align-items-center">
                                    <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                        <label class="text-uppercase">{{ form.codigo.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-circle"></i></span>
                                            </div>
                                            {% render_field form.codigo disable="false" class="form-control form-control-lg" id="codigo"  name="codigo" placeholder="CODIGO" %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.codigo.errors}}</span>
                                    </div>
                                </div>
                            </div>
                            </div>    
                                
                            <h5 class="font-weight-700 section-title-4 text-left pb-2">
                                Ubicacion Unidad
                                <div class="title-divider-round"></div>
                            </h5>

                            <div class="form-row align-items-center">
                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.departamento.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.departamento class="form-control form-control-lg" id="departamento" name="departamento" type="select"  %}
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.departamento.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.municipio.label }}</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.municipio class="form-control form-control-lg" id="municipio" name="municipio" type="select"  %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.municipio.errors}}</span>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.aldea.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.aldea class="form-control form-control-lg"  id="aldea" name="aldea" type="select"  %} 
                                            <div class="input-focus-bg"></div>
                                            
                                        </div>
                                        <span class='text-danger'>{{form.aldea.errors}}</span>
                                    </div>
                                </div>
                            
                        </div>

                        <h5 class="font-weight-700 section-title-4 text-left pb-2">
                            Generalidades Unidad
                            <div class="title-divider-round"></div>
                        </h5>
                        <div class="form-row align-items-center"> 
                            <div class="col-md-3">
                                <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                    <label class="text-uppercase">{{ form.en_funcionamiento.label }}:</label>
                                    <div class="input-group-inner">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text input-group-icon"><i class="fa fa-briefcase"></i></span>
                                        </div>
                                        {% render_field form.en_funcionamiento type="checkbox" class="form-control  id="en_funcionamiento" name="en_funcionamiento" form-control-lg"%}
                                        <div class="input-focus-bg"></div>
                                    </div>
                                    <span class='text-danger'>{{form.en_funcionamiento.errors}}</span>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                    <label class="text-uppercase">{{ form.en_funcionamiento_anio.label }} que inicio funcionamiento:</label>
                                    <div class="input-group-inner">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text input-group-icon"><i class="fa fa-calendar"></i></span>
                                        </div>
                                        {% render_field form.en_funcionamiento_anio type="date" class="form-control form-control-lg" id="en_funcionamiento_anio" name="en_funcionamiento_anio" %}
                                        <div class="input-focus-bg"></div>
                                    </div>
                                    <span class='text-danger'>{{form.en_funcionamiento_anio.errors}}</span>
                                </div>
                            </div> 
                            <!-- {% render_field form.usuario_creador type="hidden" id="usuario_creador" name="usuario_creador"  value="{{usuario}}" %} -->
                            <!-- <input type="hidden" name="usuario_creador" id="usuario_creador" value="{{usuario}}"> -->
                   
                    </div>
                    <div class="col-12">
                        <div class="text-md-right">
                            <a href="/unidad/listar" class="btn btn-lg btn-round btn-outline-primary">Cancelar</a>
                            <button type="submit" class="btn btn-lg btn-round btn-primary ml-2"><i class="fas fa-plus"></i> Agregar
                            </button>
                        </div>
                    </div>
                        
                    </form>
                        
                </div>
            </div>
          
         </div>
         <!--/Striped table-->
      </div>
   </div>
    <!--GO TO THE TOP-->
  <div class="go-to-top go-top-fadeInRight">
    <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
</div>
</div>
{% include "general/footer.html" %}
{%endblock%}
{% block js%}
<script>
    $("#departamento").change(function(){
        $("#municipio").html('<option value="0" selected disabled>--------</option>');
        dep = $(this).val();
        $.ajax({
            url: "{% url 'general:ajaxmun' %}",
            type: 'GET',
            data:{
                data: 'municipios',
                dep: dep
            }
        }).done(function(data){
            $.each(data, function(key, val){
                $("#municipio").append('<option value='+val.id+'>'+val.nombre+'</option');
            });
        });
    });
</script>

<script>
    $("#municipio").change(function(){
        $("#aldea").html('<option value="0" selected disabled>--------</option>');
        mun = $(this).val();
        $.ajax({
            url: "{% url 'general:ajaxald' %}",
            type: 'GET',
            data:{
                data: 'aldeas',
                mun: mun
            }
        }).done(function(data){
            $.each(data, function(key, val){
                $("#aldea").append('<option value='+val.id+'>'+val.nombre+'</option');
            });
        });
    });
</script>
{% endblock %}

